Bug 1412189 - CVE-2016-9962 docker: Insecure opening of file-descriptor allows privilege escalation [fedora-all]
Summary: CVE-2016-9962 docker: Insecure opening of file-descriptor allows privilege es...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: docker-latest
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio Murdaca
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-9962
TreeView+ depends on / blocked
 
Reported: 2017-01-11 13:43 UTC by Antonio Murdaca
Modified: 2017-01-20 18:18 UTC (History)
14 users (show)

Fixed In Version: docker-latest-1.12.6-2.git51ef5a8.fc25 docker-latest-1.12.6-1.git51ef5a8.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1412147
Environment:
Last Closed: 2017-01-15 07:51:29 UTC


Attachments (Terms of Use)

Description Antonio Murdaca 2017-01-11 13:43:57 UTC
+++ This bug was initially created as a clone of Bug #1412147 +++

Description of problem:

http://seclists.org/oss-sec/2017/q1/54

Docker Engine version 1.12.6 has been released to address a vulnerability
and is immediately available for all supported platforms. Users are advised
to upgrade existing installations of the Docker Engine and use 1.12.6 for
new installations.

Please send any questions to security () docker com.


==============================================================
[CVE-2016-9962] Insecure opening of file-descriptor allows privilege
escalation

==============================================================

RunC allowed additional container processes via `runc exec` to be ptraced
by the pid 1 of the container.  This allows the main processes of the
container, if running as root, to gain access to file-descriptors of these
new processes during the initialization and can lead to container escapes
or modification of runC state before the process is fully placed inside the
container


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Fedora Update System on 2017-01-11 08:29:43 EST ---

docker-1.12.6-3.git51ef5a8.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dbc2b618eb

Comment 1 Fedora Update System 2017-01-11 14:22:35 UTC
docker-latest-1.12.6-2.git51ef5a8.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fcd02e2c2d

Comment 2 Fedora Update System 2017-01-11 15:19:05 UTC
docker-latest-1.12.6-1.git51ef5a8.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2c2d1be16

Comment 3 Fedora Update System 2017-01-12 07:51:21 UTC
docker-latest-1.12.6-1.git51ef5a8.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2c2d1be16

Comment 4 Fedora Update System 2017-01-12 07:52:51 UTC
docker-latest-1.12.6-2.git51ef5a8.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fcd02e2c2d

Comment 5 Fedora Update System 2017-01-15 07:51:29 UTC
docker-latest-1.12.6-2.git51ef5a8.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-01-20 18:18:34 UTC
docker-latest-1.12.6-1.git51ef5a8.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.